package com.xlht.xlhtproject.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.xlht.xlhtproject.mapper.TTbDuMapper;
import com.xlht.xlhtproject.domain.TTbDu;
import com.xlht.xlhtproject.service.ITTbDuService;

/**
 * 同步数据组态读Service业务层处理
 * 
 * @author slibra
 * @date 2024-09-19
 */
@Service
public class TTbDuServiceImpl implements ITTbDuService 
{
    @Autowired
    private TTbDuMapper tTbDuMapper;

    /**
     * 查询同步数据组态读
     * 
     * @param ID 同步数据组态读主键
     * @return 同步数据组态读
     */
    @Override
    public TTbDu selectTTbDuByID(Long ID)
    {
        return tTbDuMapper.selectTTbDuByID(ID);
    }

    /**
     * 查询同步数据组态读列表
     * 
     * @param tTbDu 同步数据组态读
     * @return 同步数据组态读
     */
    @Override
    public List<TTbDu> selectTTbDuList(TTbDu tTbDu)
    {
        return tTbDuMapper.selectTTbDuList(tTbDu);
    }

    /**
     * 新增同步数据组态读
     * 
     * @param tTbDu 同步数据组态读
     * @return 结果
     */
    @Override
    public int insertTTbDu(TTbDu tTbDu)
    {
        return tTbDuMapper.insertTTbDu(tTbDu);
    }

    /**
     * 修改同步数据组态读
     * 
     * @param tTbDu 同步数据组态读
     * @return 结果
     */
    @Override
    public int updateTTbDu(TTbDu tTbDu)
    {
        return tTbDuMapper.updateTTbDu(tTbDu);
    }

    /**
     * 批量删除同步数据组态读
     * 
     * @param IDs 需要删除的同步数据组态读主键
     * @return 结果
     */
    @Override
    public int deleteTTbDuByIDs(Long[] IDs)
    {
        return tTbDuMapper.deleteTTbDuByIDs(IDs);
    }

    /**
     * 删除同步数据组态读信息
     * 
     * @param ID 同步数据组态读主键
     * @return 结果
     */
    @Override
    public int deleteTTbDuByID(Long ID)
    {
        return tTbDuMapper.deleteTTbDuByID(ID);
    }
}
